### Hierarchy

- Assertion
  - Been

### Callable

- __call(): Assertion
- __call(type: string, message?: undefined | string): Assertion
- __call(type: string, message?: undefined | string): Assertion

- - Defined in node_modules/@types/chai-spies/index.d.ts:307

  #### Returns Assertion

- - Defined in node_modules/@types/chai/index.d.ts:161

  #### Parameters

  - ##### type: string

  - ##### Optional message: undefined | string

  #### Returns Assertion

- - Defined in node_modules/@types/chai/index.d.ts:161

  #### Parameters

  - ##### type: string

  - ##### Optional message: undefined | string

  #### Returns Assertion

## Index

### Properties

- Arguments
- NaN
- Throw
- a
- above
- all
- an
- and
- any
- approximately
- arguments
- at
- be
- been
- below
- but
- called
- change
- changes
- closeTo
- contain
- contains
- decrease
- decreases
- deep
- does
- empty
- eq
- eql
- eqls
- equal
- equals
- eventually
- exist
- extensible
- false
- first
- frozen
- fulfilled
- greaterThan
- gt
- gte
- has
- have
- haveOwnProperty
- haveOwnPropertyDescriptor
- include
- includes
- increase
- increases
- instanceOf
- instanceof
- is
- itself
- keys
- least
- length
- lengthOf
- lessThan
- lt
- lte
- match
- matches
- members
- most
- nested
- not
- null
- of
- ok
- on
- ordered
- ownProperty
- ownPropertyDescriptor
- property
- rejected
- rejectedWith
- respondTo
- respondsTo
- same
- satisfies
- satisfy
- sealed
- second
- spy
- that
- third
- throw
- throws
- to
- true
- undefined
- which
- with

### Methods

- become
- key
- notify
- nth
- oneOf
- string
- within

## Properties

### Arguments

Arguments: Assertion

Inherited from Assertion.Arguments

- Defined in node_modules/@types/chai/index.d.ts:83

### NaN

NaN: Assertion

Inherited from Assertion.NaN

- Defined in node_modules/@types/chai/index.d.ts:79

### Throw

Throw: Throw

Inherited from Assertion.Throw

- Defined in node_modules/@types/chai/index.d.ts:103

### a

a: TypeComparison

Inherited from Assertion.a

- Defined in node_modules/@types/chai/index.d.ts:68

### above

above: NumberComparer

Inherited from NumericComparison.above

Overrides NumericComparison.above

- Defined in node_modules/@types/chai/index.d.ts:143

### all

all: KeyFilter

Inherited from Assertion.all

- Defined in node_modules/@types/chai/index.d.ts:67

### an

an: TypeComparison

Inherited from Assertion.an

- Defined in node_modules/@types/chai/index.d.ts:69

### and

and: Assertion

Inherited from LanguageChains.and

Overrides LanguageChains.and

- Defined in node_modules/@types/chai/index.d.ts:131

### any

any: KeyFilter

Inherited from Assertion.any

- Defined in node_modules/@types/chai/index.d.ts:66

### approximately

approximately: CloseTo

Inherited from Assertion.approximately

- Defined in node_modules/@types/chai/index.d.ts:110

### arguments

arguments: Assertion

Inherited from Assertion.arguments

- Defined in node_modules/@types/chai/index.d.ts:82

### at

at: Assertion

Inherited from LanguageChains.at

Overrides LanguageChains.at

- Defined in node_modules/@types/chai/index.d.ts:135

### be

be: Assertion

Inherited from LanguageChains.be

Overrides LanguageChains.be

- Defined in node_modules/@types/chai/index.d.ts:126

### been

been: Assertion

Inherited from LanguageChains.been

Overrides LanguageChains.been

- Defined in node_modules/@types/chai/index.d.ts:127

### below

below: NumberComparer

Inherited from NumericComparison.below

Overrides NumericComparison.below

- Defined in node_modules/@types/chai/index.d.ts:148

### but

but: Assertion

Inherited from LanguageChains.but

Overrides LanguageChains.but

- Defined in node_modules/@types/chai/index.d.ts:138

### called

called: Called

Overrides Assertion.called

- Defined in node_modules/@types/chai-spies/index.d.ts:309

### change

change: PropertyChange

Inherited from Assertion.change

- Defined in node_modules/@types/chai/index.d.ts:116

### changes

changes: PropertyChange

Inherited from Assertion.changes

- Defined in node_modules/@types/chai/index.d.ts:117

### closeTo

closeTo: CloseTo

Inherited from Assertion.closeTo

- Defined in node_modules/@types/chai/index.d.ts:109

### contain

contain: Include

Inherited from Assertion.contain

- Defined in node_modules/@types/chai/index.d.ts:72

### contains

contains: Include

Inherited from Assertion.contains

- Defined in node_modules/@types/chai/index.d.ts:73

### decrease

decrease: PropertyChange

Inherited from Assertion.decrease

- Defined in node_modules/@types/chai/index.d.ts:114

### decreases

decreases: PropertyChange

Inherited from Assertion.decreases

- Defined in node_modules/@types/chai/index.d.ts:115

### deep

deep: Deep

Inherited from Assertion.deep

- Defined in node_modules/@types/chai/index.d.ts:63

### does

does: Assertion

Inherited from LanguageChains.does

Overrides LanguageChains.does

- Defined in node_modules/@types/chai/index.d.ts:139

### empty

empty: Assertion

Inherited from Assertion.empty

- Defined in node_modules/@types/chai/index.d.ts:81

### eq

eq: Equal

Inherited from Assertion.eq

- Defined in node_modules/@types/chai/index.d.ts:86

### eql

eql: Equal

Inherited from Assertion.eql

- Defined in node_modules/@types/chai/index.d.ts:87

### eqls

eqls: Equal

Inherited from Assertion.eqls

- Defined in node_modules/@types/chai/index.d.ts:88

### equal

equal: Equal

Inherited from Assertion.equal

- Defined in node_modules/@types/chai/index.d.ts:84

### equals

equals: Equal

Inherited from Assertion.equals

- Defined in node_modules/@types/chai/index.d.ts:85

### eventually

eventually: PromisedAssertion

Inherited from Assertion.eventually

- Defined in node_modules/@types/chai-as-promised/index.d.ts:28

### exist

exist: Assertion

Inherited from Assertion.exist

- Defined in node_modules/@types/chai/index.d.ts:80

### extensible

extensible: Assertion

Inherited from Assertion.extensible

- Defined in node_modules/@types/chai/index.d.ts:118

### false

false: Assertion

Inherited from Assertion.false

- Defined in node_modules/@types/chai/index.d.ts:76

### first

first: Assertion

- Defined in node_modules/@types/chai-spies/index.d.ts:321

####.first Assert that a spy has been called first.

    expect(spy).to.have.been.called.first;
    expect(spy).to.not.have.been.called.first;
    spy.should.have.been.called.first;
    spy.should.not.have.been.called.first;

### frozen

frozen: Assertion

Inherited from Assertion.frozen

- Defined in node_modules/@types/chai/index.d.ts:120

### fulfilled

fulfilled: PromisedAssertion

Inherited from Assertion.fulfilled

- Defined in node_modules/@types/chai-as-promised/index.d.ts:30

### greaterThan

greaterThan: NumberComparer

Inherited from NumericComparison.greaterThan

Overrides NumericComparison.greaterThan

- Defined in node_modules/@types/chai/index.d.ts:145

### gt

gt: NumberComparer

Inherited from NumericComparison.gt

Overrides NumericComparison.gt

- Defined in node_modules/@types/chai/index.d.ts:144

### gte

gte: NumberComparer

Inherited from NumericComparison.gte

Overrides NumericComparison.gte

- Defined in node_modules/@types/chai/index.d.ts:147

### has

has: Assertion

Inherited from LanguageChains.has

Overrides LanguageChains.has

- Defined in node_modules/@types/chai/index.d.ts:132

### have

have: Assertion

Inherited from LanguageChains.have

Overrides LanguageChains.have

- Defined in node_modules/@types/chai/index.d.ts:133

### haveOwnProperty

haveOwnProperty: OwnProperty

Inherited from Assertion.haveOwnProperty

- Defined in node_modules/@types/chai/index.d.ts:91

### haveOwnPropertyDescriptor

haveOwnPropertyDescriptor: OwnPropertyDescriptor

Inherited from Assertion.haveOwnPropertyDescriptor

- Defined in node_modules/@types/chai/index.d.ts:93

### include

include: Include

Inherited from Assertion.include

- Defined in node_modules/@types/chai/index.d.ts:70

### includes

includes: Include

Inherited from Assertion.includes

- Defined in node_modules/@types/chai/index.d.ts:71

### increase

increase: PropertyChange

Inherited from Assertion.increase

- Defined in node_modules/@types/chai/index.d.ts:112

### increases

increases: PropertyChange

Inherited from Assertion.increases

- Defined in node_modules/@types/chai/index.d.ts:113

### instanceOf

instanceOf: InstanceOf

Inherited from TypeComparison.instanceOf

Overrides TypeComparison.instanceOf

- Defined in node_modules/@types/chai/index.d.ts:164

### instanceof

instanceof: InstanceOf

Inherited from TypeComparison.instanceof

Overrides TypeComparison.instanceof

- Defined in node_modules/@types/chai/index.d.ts:163

### is

is: Assertion

Inherited from LanguageChains.is

Overrides LanguageChains.is

- Defined in node_modules/@types/chai/index.d.ts:128

### itself

itself: Assertion

Inherited from Assertion.itself

- Defined in node_modules/@types/chai/index.d.ts:106

### keys

keys: Keys

Inherited from Assertion.keys

- Defined in node_modules/@types/chai/index.d.ts:99

### least

least: NumberComparer

Inherited from NumericComparison.least

Overrides NumericComparison.least

- Defined in node_modules/@types/chai/index.d.ts:146

### length

length: Length

Inherited from Assertion.length

- Defined in node_modules/@types/chai/index.d.ts:94

### lengthOf

lengthOf: Length

Inherited from Assertion.lengthOf

- Defined in node_modules/@types/chai/index.d.ts:95

### lessThan

lessThan: NumberComparer

Inherited from NumericComparison.lessThan

Overrides NumericComparison.lessThan

- Defined in node_modules/@types/chai/index.d.ts:150

### lt

lt: NumberComparer

Inherited from NumericComparison.lt

Overrides NumericComparison.lt

- Defined in node_modules/@types/chai/index.d.ts:149

### lte

lte: NumberComparer

Inherited from NumericComparison.lte

Overrides NumericComparison.lte

- Defined in node_modules/@types/chai/index.d.ts:152

### match

match: Match

Inherited from Assertion.match

- Defined in node_modules/@types/chai/index.d.ts:96

### matches

matches: Match

Inherited from Assertion.matches

- Defined in node_modules/@types/chai/index.d.ts:97

### members

members: Members

Inherited from Assertion.members

- Defined in node_modules/@types/chai/index.d.ts:111

### most

most: NumberComparer

Inherited from NumericComparison.most

Overrides NumericComparison.most

- Defined in node_modules/@types/chai/index.d.ts:151

### nested

nested: Nested

Inherited from Assertion.nested

- Defined in node_modules/@types/chai/index.d.ts:65

### not

not: Assertion

Inherited from Assertion.not

- Defined in node_modules/@types/chai/index.d.ts:62

### null

null: Assertion

Inherited from Assertion.null

- Defined in node_modules/@types/chai/index.d.ts:77

### of

of: Assertion

Inherited from LanguageChains.of

Overrides LanguageChains.of

- Defined in node_modules/@types/chai/index.d.ts:136

### ok

ok: Assertion

Inherited from Assertion.ok

- Defined in node_modules/@types/chai/index.d.ts:74

### on

on: Assertion

Inherited from LanguageChains.on

Overrides LanguageChains.on

- Defined in node_modules/@types/chai-spies/index.d.ts:16

### ordered

ordered: Ordered

Inherited from Assertion.ordered

- Defined in node_modules/@types/chai/index.d.ts:64

### ownProperty

ownProperty: OwnProperty

Inherited from Assertion.ownProperty

- Defined in node_modules/@types/chai/index.d.ts:90

### ownPropertyDescriptor

ownPropertyDescriptor: OwnPropertyDescriptor

Inherited from Assertion.ownPropertyDescriptor

- Defined in node_modules/@types/chai/index.d.ts:92

### property

property: Property

Inherited from Assertion.property

- Defined in node_modules/@types/chai/index.d.ts:89

### rejected

rejected: PromisedAssertion

Inherited from Assertion.rejected

- Defined in node_modules/@types/chai-as-promised/index.d.ts:31

### rejectedWith

rejectedWith: PromisedThrow

Inherited from Assertion.rejectedWith

- Defined in node_modules/@types/chai-as-promised/index.d.ts:32

### respondTo

respondTo: RespondTo

Inherited from Assertion.respondTo

- Defined in node_modules/@types/chai/index.d.ts:104

### respondsTo

respondsTo: RespondTo

Inherited from Assertion.respondsTo

- Defined in node_modules/@types/chai/index.d.ts:105

### same

same: Assertion

Inherited from LanguageChains.same

Overrides LanguageChains.same

- Defined in node_modules/@types/chai/index.d.ts:137

### satisfies

satisfies: Satisfy

Inherited from Assertion.satisfies

- Defined in node_modules/@types/chai/index.d.ts:108

### satisfy

satisfy: Satisfy

Inherited from Assertion.satisfy

- Defined in node_modules/@types/chai/index.d.ts:107

### sealed

sealed: Assertion

Inherited from Assertion.sealed

- Defined in node_modules/@types/chai/index.d.ts:119

### second

second: Assertion

- Defined in node_modules/@types/chai-spies/index.d.ts:333

####.second Assert that a spy has been called second.

    expect(spy).to.have.been.called.second;
    expect(spy).to.not.have.been.called.second;
    spy.should.have.been.called.second;
    spy.should.not.have.been.called.second;

### spy

spy: Assertion

Inherited from Assertion.spy

- Defined in node_modules/@types/chai-spies/index.d.ts:28

####.spy Asserts that object is a spy.

    expect(spy).to.be.spy;
    spy.should.be.spy;

### that

that: Assertion

Inherited from LanguageChains.that

Overrides LanguageChains.that

- Defined in node_modules/@types/chai/index.d.ts:129

### third

third: Assertion

- Defined in node_modules/@types/chai-spies/index.d.ts:345

####.third Assert that a spy has been called third.

    expect(spy).to.have.been.called.third;
    expect(spy).to.not.have.been.called.third;
    spy.should.have.been.called.third;
    spy.should.not.have.been.called.third;

### throw

throw: Throw

Inherited from Assertion.throw

- Defined in node_modules/@types/chai/index.d.ts:101

### throws

throws: Throw

Inherited from Assertion.throws

- Defined in node_modules/@types/chai/index.d.ts:102

### to

to: Assertion

Inherited from LanguageChains.to

Overrides LanguageChains.to

- Defined in node_modules/@types/chai/index.d.ts:125

### true

true: Assertion

Inherited from Assertion.true

- Defined in node_modules/@types/chai/index.d.ts:75

### undefined

undefined: Assertion

Inherited from Assertion.undefined

- Defined in node_modules/@types/chai/index.d.ts:78

### which

which: Assertion

Inherited from LanguageChains.which

Overrides LanguageChains.which

- Defined in node_modules/@types/chai/index.d.ts:130

### with

with: Assertion

Inherited from LanguageChains.with

Overrides LanguageChains.with

- Defined in node_modules/@types/chai/index.d.ts:134

## Methods

### become

- become(expected: any): PromisedAssertion

- Inherited from Assertion.become

  - Defined in node_modules/@types/chai-as-promised/index.d.ts:29

  #### Parameters

  - ##### expected: any

  #### Returns PromisedAssertion

### key

- key(string: string): Assertion

- Inherited from Assertion.key

  - Defined in node_modules/@types/chai/index.d.ts:100

  #### Parameters

  - ##### string: string

  #### Returns Assertion

### notify

- notify(fn: Function): PromisedAssertion

- Inherited from Assertion.notify

  - Defined in node_modules/@types/chai-as-promised/index.d.ts:33

  #### Parameters

  - ##### fn: Function

  #### Returns PromisedAssertion

### nth

- nth(index: number): Assertion

- Inherited from Assertion.nth

  - Defined in node_modules/@types/chai-spies/index.d.ts:61
  - ####.nth (function)
    - Assert that something has been spied on on a certain index. Negation passes through.
    - ```ts
    - expect(spy).on.nth(5).be.called.with('foobar');
    - spy.should.on.nth(5).be.called.with('foobar'); `Note that`nth``` can be used as a chainable method.

  #### Parameters

  - ##### index: number

  #### Returns Assertion

### oneOf

- oneOf(list: ReadonlyArray<any>, message?: undefined | string): Assertion

- Inherited from Assertion.oneOf

  - Defined in node_modules/@types/chai/index.d.ts:121

  #### Parameters

  - ##### list: ReadonlyArray<any>

  - ##### Optional message: undefined | string

  #### Returns Assertion

### string

- string(string: string, message?: undefined | string): Assertion

- Inherited from Assertion.string

  - Defined in node_modules/@types/chai/index.d.ts:98

  #### Parameters

  - ##### string: string

  - ##### Optional message: undefined | string

  #### Returns Assertion

### within

- within(start: number, finish: number, message?: undefined | string): Assertion
- within(start: Date, finish: Date, message?: undefined | string): Assertion

- Inherited from NumericComparison.within

  Overrides NumericComparison.within

  - Defined in node_modules/@types/chai/index.d.ts:153

  #### Parameters

  - ##### start: number

  - ##### finish: number

  - ##### Optional message: undefined | string

  #### Returns Assertion

- Inherited from NumericComparison.within

  Overrides NumericComparison.within

  - Defined in node_modules/@types/chai/index.d.ts:154

  #### Parameters

  - ##### start: Date

  - ##### finish: Date

  - ##### Optional message: undefined | string

  #### Returns Assertion

Generated using TypeDoc